local BI = {
	name = "BaitInformer",
	title = "BaitInformer",
	BaitTypes = {
			[42877] = {use = "Anywhere"},
			[42871] = {use = "Foul Water"},
			[42873] = {use = "Foul Water"},
			[42872] = {use = "Rivers"},
			[42874] = {use = "Rivers"},
			[42870] = {use = "Lakes"},
			[42876] = {use = "Lakes"},
			[42875] = {use = "Oceans"},
			[42869] = {use = "Oceans"}
	}	
}
local function GetItemIdFromBagAndSlot(bagId, slotIndex)
    local itemLink = GetItemLink(bagId, slotIndex)
    local itemId = select(4, ZO_LinkHandler_ParseLink(itemLink))
    return tonumber(itemId)
end

local function AddTipLine(control, tipLine)
	SetTooltipText(control, tipLine)
end


function HookBagTips() 
	local InvokeSetBagItemTooltip = ItemTooltip.SetBagItem
    ItemTooltip.SetBagItem = function(control, bagId, slotIndex, ...)
        local itemType = GetItemType(bagId, slotIndex)
        InvokeSetBagItemTooltip(control, bagId, slotIndex, ...)
		if itemType == ITEMTYPE_LURE then
			local itemId = GetItemIdFromBagAndSlot(bagId, slotIndex)
			AddTipLine(control, "Used for " .. BI.BaitTypes[itemId].use)
		end
	end
end





function BI.OnAddOnLoaded(event, addonName)
	if addonName == BI.name then
		EVENT_MANAGER:UnregisterForEvent(BI.name, EVENT_ADD_ON_LOADED)
		HookBagTips()
	end
end

EVENT_MANAGER:RegisterForEvent(BI.name, EVENT_ADD_ON_LOADED, BI.OnAddOnLoaded)
